# Concatenate

The **Concatenate** function takes a list of PDF filenames and concatenates them all into a single document, in the order they were specified.

{% hint style="info" %}

> **Note:**\
> The concatenation function does not load protected PDF files; if any of the input files require a password or certificate to open, the protection should first be removed using the "Change protection" operation.
> {% endhint %}

***

## Properties <a href="#properties" id="properties"></a>

### Input file paths <a href="#input-file-paths" id="input-file-paths"></a>

List of PDF files to concatenate to the output file.

Click **...** to open the List Editor to add one or more file paths to the list.

### Output file path <a href="#output-file-path" id="output-file-path"></a>

Path to the PDF file to write to.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/pdf/content/concatenate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
